#include <fcntl.h>           /* For O_* constants */
#include <sys/stat.h>        /* For mode constants */
#include <mqueue.h>
#include <stdio.h>

#define buffer_size (1<<20)
char buffer[buffer_size];

int main() {
  mqd_t q = mq_open("/foo", O_RDONLY);
  mq_receive(q, buffer, buffer_size, NULL);
  printf("RECEIVED: %s\n", buffer);
  mq_close(q);
}
