#include <netinet/in.h>
#include <netinet/tcp.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <unistd.h>

int main() {
  int error;
  int s = socket(AF_INET, SOCK_STREAM, 0);
  if (0) fprintf(stderr,"created socket %d\n",s);
  struct sockaddr_in address = {
    .sin_family = AF_INET,
    .sin_port = htons(12345),
    .sin_addr = htonl(INADDR_LOOPBACK)
  };
  error = connect(s, (struct sockaddr *) &address, sizeof address);
  if (0) fprintf(stderr,"connected, error is %d\n",error);
  if (error != 0) {
    perror("connect");
    return EXIT_FAILURE;
  }
  char buffer[1];
  int c;
  while ((c = getchar()) != EOF) {
    buffer[0] = c;
    if (0) fprintf(stderr, "write %c\n", buffer[0]);
    ssize_t w;
    do write(s, buffer, 1); while (w == 0);
    if (w == -1) {
      perror("write");
      return EXIT_FAILURE;
    }
  }
  close(s);
  return EXIT_SUCCESS;
}
